
textures/sol/sky
{      
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	nopicmip
	surfaceparm slick
	nomipmaps
	skyparms env/sol/space1 128 -
}

textures/sol/eq2_telepanel
{
	{
		map textures/sol/eq2_telegoo.jpg
		rgbGen identity
		tcMod turb 0 0.1 0 0.2
	}
	{
		map textures/sol/eq2_telepanel.jpg
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/sol/eq2_banner
{
     cull disable
     surfaceparm alphashadow
     surfaceparm trans	
     surfaceparm nomarks
     tessSize 64
     deformVertexes wave 30 sin 0 2 0 .2
     deformVertexes wave 100 sin 0 2 0 .7
     
	{
        map textures/sol/eq2_banner.tga
        alphaFunc GE128
		depthWrite
		rgbGen vertex
    }
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/sol/eq2_banner_still
{
	 cull disable
     surfaceparm alphashadow
     surfaceparm trans	
     surfaceparm nomarks
     tessSize 32
	{
        map textures/sol/eq2_banner.tga
        alphaFunc GE128
		depthWrite
		rgbGen vertex
    }
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/sol/eq2_bounce
{
	
	{
		map textures/sol/eq2_bounce.tga
		rgbGen identity
	}
	{
		clampmap textures/sol/eq2_bouncefan.tga
		tcMod rotate 512
		blendFunc blend
		depthWrite
		rgbGen identity

	}
	{
		map textures/sol/eq2_bounce.tga
		blendfunc blend
		rgbGen identity
	}
		{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}

}

textures/sol/eq2lt_walllight512_300
{
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sol/eq2_walllight_512.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/sol/eq2_walllight_512.blend.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/sol/eq2_bmtl_window
{
	{
		map textures/sol/eq2_bmtl2.jpg
		blendFunc add
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/sol/eq2lt_bmtl03light_300
{
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sol/eq2_bmtl_03_light.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/sol/eq2_bmtl_03_light.blend.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/sol/eq2lt_bmtl03light_100
{
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sol/eq2_bmtl_03_light.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/sol/eq2_bmtl_03_light.blend.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/sol/eq2lt_wallbig_01_1000
{
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sol/eq2_wallbig_01.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/sol/eq2_wallbig_01.blend.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/sol/eq2lt_wallbig_01b_1000
{
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sol/eq2_wallbig_01b.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/sol/eq2_wallbig_01.blend.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/sol/eq2lt_wallbig_01_3000
{
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sol/eq2_wallbig_01.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/sol/eq2_wallbig_01.blend.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/sol/eq2lt_wallbig_01b_3000
{
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sol/eq2_wallbig_01b.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/sol/eq2_wallbig_01.blend.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/sol/eq2lt_spawnlite_1k
{
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sol/eq2_weap_spawnlite.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/sol/eq2_weap_spawnlite.blend.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/sol/eq2lt_spawnlite_3k
{
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sol/eq2_weap_spawnlite.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/sol/eq2_weap_spawnlite.blend.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/sol/eq2lt_spawnlite_6k
{
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sol/eq2_weap_spawnlite.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/sol/eq2_weap_spawnlite.blend.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/sol/eq2_yell01_1k
{
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sol/eq2_yell01.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/sol/eq2_yell01_4k
{
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sol/eq2_yell01.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/sol/eq2_yell01_8k
{
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sol/eq2_yell01.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/sol/eq2_yell01_800
{
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sol/eq2_yell01.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/sol/eq2_yell02_1k
{
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sol/eq2_yell02.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/sol/eq2_yell02_4k
{
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sol/eq2_yell02.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/sol/eq2_yell02_8k
{
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sol/eq2_yell02.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/sol/eq2_yell02_800
{
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sol/eq2_yell02.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/sol/eq2lt_trimv_04lite
{
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sol/eq2_trimv_04lite.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/sol/eq2_trimv_04lite.blend.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/sol/eq2lt_trimlite
{
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sol/eq2_trimlite_side.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/sol/eq2_trimlite_side.blend.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/sol/eq2lt_trimv_lite_4k
{
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sol/eq2_trimv_lite.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/sol/eq2_trimv_lite.blend.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/sol/eq2lt_stepsidelight_4k
{
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sol/eq2_stepsidelight.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/sol/eq2_stepsidelight.blend.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/sol/eq2lt_stepsidelight_8k
{
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sol/eq2_stepsidelight.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/sol/eq2_stepsidelight.blend.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/sol/eq2lt_clight_5k_ns
{
	surfaceparm nomarks
	surfaceparm nonsolid
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sol/eq2_32caplight.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/sol/eq2_32caplight.blend.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/sol/eq2lt_clight_5k
{
	surfaceparm nomarks
	surfaceparm nonsolid
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sol/eq2_32caplight.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/sol/eq2_32caplight.blend.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/sol/eq2lt_clight_10k_ns
{
	surfaceparm nomarks
	surfaceparm nonsolid
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sol/eq2_32caplight.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/sol/eq2_32caplight.blend.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/sol/eq2lt_clight_8k_ns
{
	surfaceparm nomarks
	surfaceparm nonsolid
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sol/eq2_32caplight.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/sol/eq2_32caplight.blend.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/sol/eq2lt_clight_10k
{
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sol/eq2_32caplight.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/sol/eq2_32caplight.blend.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/sol/eq2lt_clight_8k
{
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sol/eq2_32caplight.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/sol/eq2_32caplight.blend.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/sol/eq2lt_baselt
{
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sol/eq2_baselt.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/sol/eq2_baselt.blend.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/sol/eq2lt_baselt02
{
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sol/eq2_baselt02.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/sol/eq2_baselt02.blend.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/sol/eq2lt_baselt02_1k
{
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sol/eq2_baselt02.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/sol/eq2_baselt02.blend.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/sol/eq2lt_baselt03
{
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sol/eq2_baselt03.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/sol/eq2_baselt03.blend.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/sol/eq2lt_baselt03b
{
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sol/eq2_baselt03b.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/sol/eq2_baselt03b.blend.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/sol/eq2lt_baselt03_2k
{
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sol/eq2_baselt03.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/sol/eq2_baselt03.blend.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/sol/eq2lt_baselt03b_2k
{
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sol/eq2_baselt03b.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/sol/eq2_baselt03b.blend.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/sol/eq2lt_baselt04
{
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sol/eq2_baselt04.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/sol/eq2_baselt04.blend.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/sol/eq2lt_trimlight_s_3k
{
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sol/eq2_trimlight_01s.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/sol/eq2_trimlight_01s.blend.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/sol/eq2lt_trimlight_3k
{
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sol/eq2_trimlight_01.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/sol/eq2_trimlight_01.blend.jpg
		blendfunc GL_ONE GL_ONE
	}
}
